
def get_pgettext(context):
    
    use_translate = context.preferences.view.use_translate_interface

    def pgettext_dummy(text):
        return text
    
    if (use_translate == True):
        pgettext = bpy.app.translations.pgettext
    else:
        pgettext = pgettext_dummy

    return pgettext


translate_dict_FenceMaker = {
    "ja_JP": {
        ("*", "Fence Type"): "タイプ",
        ("*", "Curve Type"): "カーブ",
        ("*", "V Align"): "配置V",
        ("*", "Prism"): "角柱",
        ("*", "Extend Top"): "上部伸長",
        ("*", "Extend Bottom"): "下部伸長",
        ("*", "Extend Rim"): "縁の伸長",
        ("*", "Wire Mesh"): "金網",
        ("*", "Top Base"): "上部を基準",
        ("*", "Bottom Base"): "下部を基準",
        ("*", "Fit Width"): "幅をフィット",
        ("*", "Fit Height"): "高さフィット",
        ("*", "Fill Top"): "上部に配置",
        ("*", "Fill Bottom"): "下部に配置",
        ("*", "Offset H"): "Hオフセット",
        ("*", "Offset V"): "Vオフセット",
        ("*", "Interval"): "間隔",
        ("*", "Not Vertical"): "非垂直",
        ("*", "Radius Ratio"): "半径比率",
        ("*", "Joint Size"): "接合部サイズ",
        ("*", "Make Face"): "面作成",
        ("*", "Make Poles"): "柱作成",
        ("*", "Make Truss"): "トラス作成",
        ("*", "Barbed Wire"): "有刺鉄線",
        ("*", "Twist Radius"): "ねじり半径",
        ("*", "Twist Width"): "ねじり幅",
        ("*", "Barb Interval"): "棘の間隔",
        ("*", "Frequency"): "周波数",
        ("*", "Copy Transform"): "位置情報コピー",
        ("*", "Cross (Oblique)"): "クロス(斜め)",
        ("*", "Rect Object"): "オブジェクト(四角)",
        ("*", "Object Aspect"): "オブジェクトのアスペクト比",
        ("*", "Step Length"): "ステップ長",
        ("*", "Ornament"): "飾り",
        ("*", "Margin H"): "余白",
        ("*", "Support Number"): "サポートの数",
        ("*", "Radius A"): "半径 A",
        ("*", "Radius B"): "半径 B",
        ("*", "Radius C"): "半径 C",
        ("*", "Half Ring"): "半円",
        ("*", "Cap"): "キャップ",
        ("*", "Cap Type"): "タイプ",
        ("*", "Cap Size"): "サイズ",
        ("*", "Taper"): "テーパー",
        ("*", "Hat"): "帽子型",
        ("*", "Resolution U"): "解像度 U",
        ("*", "Connector"): "コネクター",
        ("*", "Opposite"): "反対側",
        ("*", "Pipe"): "パイプ",
        ("*", "Rail"): "レール",
        ("*", "Slide"): "スライド",
        ("*", "Vis"): "ビズ",
        ("*", "Make Guard Rail"): "ガードレール作成",
        ("*", "Make Pole Appendix"): "柱の付属物作成",
        ("*", "Turn Around"): "折り返し",
        ("*", "Base Type"): "基部",
        ("*", "Reflector"): "反射板",
        ("*", "L-Shape Object"): "L字型",
        ("*", "Curve 1"): "カーブ 1",
        ("*", "Curve 2"): "カーブ 2",
        ("*", "Guard Rail"): "ガードレール",
        ("*", "Guard Pipe"): "ガードパイプ",
        ("*", "Direction A"): "方向A",
        ("*", "Direction B"): "方向B",
        ("*", "Offset A"): "オフセットA",
        ("*", "Offset B"): "オフセットB",
        ("*", "Make Car Stopper"): "車止め作成",
        ("*", "Connector for Ring"): "リングへのコネクター",
        ("*", "Clip Fence"): "フェンスの固定クリップ",
        ("*", "Wire Bevel Depth"): "ワイヤーの太さ",
        ("*", "Knot Radius"): "結び目の大きさ",
        ("*", "Knot"): "結び目",
        ("*", "Terminal"): "末端部",
        ("*", "Eye Terminal"): "金具",
        ("*", "Rope"): "ロープ",
        ("*", "Adjust Bezier Tips"): "ベジエカーブの端を補正する",
        ("*", "Set Template"): "テンプレートを配置",
        ("*", "Convert from Annotation"): "アノテーションから変換",
        ("*", "Fence"): "フェンス",
        ("*", "Car Stopper"): "車止め",
        ("*", "Threthold"): "閾値",
        ("*", "Set Active"): "アクティブにする",
    }
}
